<template>
  <div>
    <About :dialog="aboutDialog" @toggle="toggleAboutDialog" />
    <Imprint :dialog="imprintDialog" @toggle="toggleImprintDialog" />
    <v-footer height="auto" color="primary" padless>
      <v-row justify="center" class="mt-2">
        <v-btn
          class="no-text-transform mb-2 mx-5"
          color="white"
          nuxt
          text
          rounded
          @click="toggleImprintDialog"
        >
          {{ $t("tool.page.imprint.title") }}
        </v-btn>
        <v-btn
          class="no-text-transform mb-2 mx-5"
          color="white"
          nuxt
          text
          rounded
          @click="toggleAboutDialog"
        >
          {{ $t("tool.page.about.title") }}
        </v-btn>
        <v-col
          class="primary py-4 text-center white--text"
          cols="12"
          style="border-top: 1px solid white !important"
        >
          {{ $t("general.ptbCopyright", { year: $config.copyrightYear }) }}
        </v-col>
      </v-row>
    </v-footer>
  </div>
</template>

<script>
import About from "~/components/App/About.vue";
import Imprint from "~/components/App/Imprint.vue";

export default {
  components: { Imprint, About },
  data() {
    return {
      links: [
        {
          i18n: "tool.page.about.title",
          to: "about",
        },
        {
          i18n: "tool.page.imprint.title",
          to: "imprint",
        },
      ],
      aboutDialog: false,
      imprintDialog: false,
    };
  },
  computed: {
    isDark() {
      return !!this.$warehouse.get("isDark");
    },
    isSmOrLower() {
      return (
        this.$vuetify.breakpoint.name === "sm" ||
        this.$vuetify.breakpoint.name === "xs"
      );
    },
  },
  methods: {
    toggleAboutDialog() {
      this.aboutDialog = !this.aboutDialog;
    },
    toggleImprintDialog() {
      this.imprintDialog = !this.imprintDialog;
    },
  },
};
</script>

<style scoped>
.no-text-transform {
  text-transform: none;
}
</style>
